Skip to main content
GET
/
api
/
v1
/
workflow
/
manager
/
{id}
/
executions
Get executions for a specific workflow
curl --request GET \
  --url https://flowra.dev/api/v1/workflow/manager/{id}/executions \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "workflowId": "<string>",
  "userId": "<string>",
  "status": "running",
  "executionMode": "test",
  "startedAt": "2023-11-07T05:31:56Z",
  "workflowName": "<string>",
  "projectId": "<string>",
  "workspaceId": "<string>",
  "threadId": "<string>",
  "assistantId": "<string>",
  "inputData": {},
  "outputData": {},
  "currentNodeId": "<string>",
  "executionSummary": "<unknown>",
  "workflowType": "agent",
  "completedAt": "2023-11-07T05:31:56Z",
  "executionDurationMs": 123
}

Authorizations

x-api-key
string
header
required

Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:

Path Parameters

id
string
required

Query Parameters

q
string

Search keyword for filtering results

Example:

"john doe"

page
number
default:1

Page number (1-based)

Required range: x >= 1
Example:

1

limit
number
default:20

Number of items per page

Required range: 1 <= x <= 100
Example:

20

offset
number

Number of items to skip (for offset-based pagination)

Required range: x >= 0
Example:

0

sortBy
string

Field name to sort by

Example:

"createdAt"

sortOrder
enum<string>
default:DESC

Sort order

Available options:
ASC,
DESC
Example:

"DESC"

fields
string

Comma-separated list of fields to include in response

Example:

"id,name,email"

selectedToolSlugs
string

Comma-separated selected tool slugs for sort-order (e.g. put toolkits with these tools first)

Example:

"tool_a,tool_b"

workflowId
string

Workflow ID to filter by

Response

200 - application/json

Workflow executions retrieved successfully